Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::StoredFieldStatus Class Reference

Status from testing stored fields. More...

`#include <CheckIndex.h>`

Inheritance diagram for Lucene::StoredFieldStatus:

## Public Member Functions

| StoredFieldStatus ()
virtual | ~StoredFieldStatus ()
virtual String | getClassName ()
boost::shared_ptr< StoredFieldStatus > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

int32_t | docCount
| Number of documents tested.
int64_t | totFields
| Total number of stored fields tested.
LuceneException | error
| Exception thrown during stored fields test (null on success)

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Status from testing stored fields.

## Constructor & Destructor Documentation

## ◆ StoredFieldStatus()

Lucene::StoredFieldStatus::StoredFieldStatus | ( |  | ) |

## ◆ ~StoredFieldStatus()

virtual Lucene::StoredFieldStatus::~StoredFieldStatus | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::StoredFieldStatus::_getClassName | ( |  | ) |

inline static

## ◆ getClassName()

virtual String Lucene::StoredFieldStatus::getClassName | ( |  | ) |

inline virtual

## ◆ shared_from_this()

boost::shared_ptr< StoredFieldStatus > Lucene::StoredFieldStatus::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ docCount

int32_t Lucene::StoredFieldStatus::docCount

Number of documents tested.

## ◆ error

LuceneException Lucene::StoredFieldStatus::error

Exception thrown during stored fields test (null on success)

## ◆ totFields

int64_t Lucene::StoredFieldStatus::totFields

Total number of stored fields tested.

The documentation for this class was generated from the following file:

- CheckIndex.h

clucene.sourceforge.net